/*
 ***************************************************************************
 * Ralink Tech Inc.
 * 4F, No. 2 Technology 5th Rd.
 * Science-based Industrial Park
 * Hsin-chu, Taiwan, R.O.C.
 *
 * (c) Copyright 2002-2004, Ralink Technology, Inc.
 *
 * All rights reserved. Ralink's source code is an unpublished work and the
 * use of a copyright notice does not imply otherwise. This source code
 * contains confidential trade secret material of Ralink Tech. Any attemp
 * or participation in deciphering, decoding, reverse engineering or in any
 * way altering the source code is stricitly prohibited, unless the prior
 * written consent of Ralink Technology, Inc. is obtained.
 ***************************************************************************

	Module Name:
	rt_config.h

	Abstract:
	Central header file to maintain all include files for all NDIS
	miniport driver routines.

	Revision History:
	Who         When          What
	--------    ----------    ----------------------------------------------
	Paul Lin    08-01-2002    created

*/
#ifndef	__RT_CONFIG_H__
#define	__RT_CONFIG_H__


#ifdef CONFIG_STA_SUPPORT
#define PROFILE_PATH			"/etc/Wireless/RT2870STA/RT2870STA.dat"
#define IMAGE_FILE_PATH			"/etc/Wireless/RT2870STA/rt2870.bin"
#define NIC_DEVICE_NAME			"RT2870STA"
#endif // CONFIG_STA_SUPPORT //

// Query from UI
#define DRV_MAJORVERSION        1
#define DRV_MINORVERSION        0
#define DRV_SUBVERSION          0	
#define DRV_TESTVERSION         0	
#define DRV_YEAR                2007
#define DRV_MONTH               5
#define DRV_DAY                 7


#ifdef LINUX
#include	"rt_linux.h"
#include	"rt_usb.h"
#endif

//	Globa type definition
//
#include	"rtmp_type.h"

//	Global constant definition
//
#include	"rtmp_def.h"

//
//	Hardware related header files
//
#include	"rt2870.h"

//
//	Miniport defined header files
//
#include	"oid.h"
#include	"mlme.h"
#include	"md5.h"
#include	"wpa.h"
#include	"aironet.h"
#include	"rtmp.h"
#include    "ap.h"
#include	"rtmp_ckipmic.h"
#include	"leap.h"


#endif	// __RT_CONFIG_H__

